Bug 1371901 - Use OAEP padding with custodia
Summary: Use OAEP padding with custodia
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1371902
TreeView+ depends on / blocked
 
Reported: 2016-08-31 12:02 UTC by Christian Heimes
Modified: 2017-10-18 11:46 UTC (History)
8 users (show)

(edit)
Clone Of:
: 1371902 (view as bug list)
(edit)
Last Closed: 2016-11-04 06:02:27 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC
Red Hat Bugzilla 1371800 None None None 2016-08-31 12:02 UTC

Description Christian Heimes 2016-08-31 12:02:14 UTC
Description of problem:

A security in python-jwcrypto was found. The jwcrypto implementation of the RSA1_5 algorithm is vulnerable to the Million Message Attack described in RFC 3128. RSA with PKCS1v1.5 is used by Custodia and ipapython.secrets


Version-Release number of selected component (if applicable):
<= 0.3


Additional info:
Upstream bug report: https://github.com/latchset/jwcrypto/pull/66
Upstream fix: https://github.com/latchset/jwcrypto/pull/66

Comment 2 Martin Bašti 2016-08-31 12:19:46 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/6278

Comment 4 Dmitri Pal 2016-09-06 20:33:10 UTC
We need this fixed ASAP because it opens a door for an attack. The change is simple and minor. Patch is provided.

Comment 5 Martin Bašti 2016-09-07 10:21:27 UTC
Changing BZ description to match what was fixed in code. We started using safer padding method.

Comment 8 Kaleem 2016-09-22 15:16:01 UTC
Verified SanityOnly.

Comment 11 errata-xmlrpc 2016-11-04 06:02:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.